package com.ruoyi.weighbridge.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 称重单对象 tbl_weightInfo
 * 
 * @author liuhj
 * @date 2022-03-10
 */
public class TblWeightinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 称重编号 */
    @Excel(name = "称重编号")
    private String serialNo;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String plateNo;

    /** 运输单位 */
    @Excel(name = "运输单位")
    private String transportUnit;

    /** 发货单位 */
    @Excel(name = "发货单位")
    private String forwardingUnit;

    /** 收货单位 */
    @Excel(name = "收货单位")
    private String consigneeUnit;

    /** 货物名称 */
    @Excel(name = "货物名称")
    private String goodsName;

    /** 货物规格 */
    @Excel(name = "货物规格")
    private String goodsSpec;

    /** 毛重 */
    @Excel(name = "毛重")
    private BigDecimal grossWeight;

    /** 皮重 */
    @Excel(name = "皮重")
    private BigDecimal tareWeight;

    /** 净重 */
    @Excel(name = "净重")
    private BigDecimal netWeight;

    /** 扣重 */
    @Excel(name = "扣重")
    private BigDecimal buckleWeight;

    /** 实重 */
    @Excel(name = "实重")
    private BigDecimal actualWeight;

    /** 重量单位 */
    @Excel(name = "重量单位")
    private String weightUnit;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal unitPrice;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal sumAmt;

    /** 过磅类型 */
    @Excel(name = "过磅类型")
    private String weightType;

    /** 卡号 */
    @Excel(name = "卡号")
    private String cardno;

    /** 毛重磅号 */
    @Excel(name = "毛重磅号")
    private String grossStation;

    /** 皮重磅号 */
    @Excel(name = "皮重磅号")
    private String tareStation;

    /** 毛重人员 */
    @Excel(name = "毛重人员")
    private String grossMan;

    /** 皮重人员 */
    @Excel(name = "皮重人员")
    private String tareMan;

    /** 毛重时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "毛重时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date grossTime;

    /** 皮重时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "皮重时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tareTime;

    /** 一次时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "一次时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firstTime;

    /** 二次时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "二次时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date secondTime;

    /** 打印次数 */
    @Excel(name = "打印次数")
    private Integer printNum;

    /** 云端上传 */
    @Excel(name = "云端上传")
    private String isUploadCloud;

    /** 数据日志 */
    @Excel(name = "数据日志")
    private String dataLog;

    public void setSerialNo(String serialNo) 
    {
        this.serialNo = serialNo;
    }

    public String getSerialNo() 
    {
        return serialNo;
    }
    public void setPlateNo(String plateNo) 
    {
        this.plateNo = plateNo;
    }

    public String getPlateNo() 
    {
        return plateNo;
    }
    public void setTransportUnit(String transportUnit) 
    {
        this.transportUnit = transportUnit;
    }

    public String getTransportUnit() 
    {
        return transportUnit;
    }
    public void setForwardingUnit(String forwardingUnit) 
    {
        this.forwardingUnit = forwardingUnit;
    }

    public String getForwardingUnit() 
    {
        return forwardingUnit;
    }
    public void setConsigneeUnit(String consigneeUnit) 
    {
        this.consigneeUnit = consigneeUnit;
    }

    public String getConsigneeUnit() 
    {
        return consigneeUnit;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setGoodsSpec(String goodsSpec) 
    {
        this.goodsSpec = goodsSpec;
    }

    public String getGoodsSpec() 
    {
        return goodsSpec;
    }
    public void setGrossWeight(BigDecimal grossWeight) 
    {
        this.grossWeight = grossWeight;
    }

    public BigDecimal getGrossWeight() 
    {
        return grossWeight;
    }
    public void setTareWeight(BigDecimal tareWeight) 
    {
        this.tareWeight = tareWeight;
    }

    public BigDecimal getTareWeight() 
    {
        return tareWeight;
    }
    public void setNetWeight(BigDecimal netWeight) 
    {
        this.netWeight = netWeight;
    }

    public BigDecimal getNetWeight() 
    {
        return netWeight;
    }
    public void setBuckleWeight(BigDecimal buckleWeight) 
    {
        this.buckleWeight = buckleWeight;
    }

    public BigDecimal getBuckleWeight() 
    {
        return buckleWeight;
    }
    public void setActualWeight(BigDecimal actualWeight) 
    {
        this.actualWeight = actualWeight;
    }

    public BigDecimal getActualWeight() 
    {
        return actualWeight;
    }
    public void setWeightUnit(String weightUnit) 
    {
        this.weightUnit = weightUnit;
    }

    public String getWeightUnit() 
    {
        return weightUnit;
    }
    public void setUnitPrice(BigDecimal unitPrice) 
    {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getUnitPrice() 
    {
        return unitPrice;
    }
    public void setSumAmt(BigDecimal sumAmt) 
    {
        this.sumAmt = sumAmt;
    }

    public BigDecimal getSumAmt() 
    {
        return sumAmt;
    }
    public void setWeightType(String weightType) 
    {
        this.weightType = weightType;
    }

    public String getWeightType() 
    {
        return weightType;
    }
    public void setCardno(String cardno) 
    {
        this.cardno = cardno;
    }

    public String getCardno() 
    {
        return cardno;
    }
    public void setGrossStation(String grossStation) 
    {
        this.grossStation = grossStation;
    }

    public String getGrossStation() 
    {
        return grossStation;
    }
    public void setTareStation(String tareStation) 
    {
        this.tareStation = tareStation;
    }

    public String getTareStation() 
    {
        return tareStation;
    }
    public void setGrossMan(String grossMan) 
    {
        this.grossMan = grossMan;
    }

    public String getGrossMan() 
    {
        return grossMan;
    }
    public void setTareMan(String tareMan) 
    {
        this.tareMan = tareMan;
    }

    public String getTareMan() 
    {
        return tareMan;
    }
    public void setGrossTime(Date grossTime) 
    {
        this.grossTime = grossTime;
    }

    public Date getGrossTime() 
    {
        return grossTime;
    }
    public void setTareTime(Date tareTime) 
    {
        this.tareTime = tareTime;
    }

    public Date getTareTime() 
    {
        return tareTime;
    }
    public void setFirstTime(Date firstTime) 
    {
        this.firstTime = firstTime;
    }

    public Date getFirstTime() 
    {
        return firstTime;
    }
    public void setSecondTime(Date secondTime) 
    {
        this.secondTime = secondTime;
    }

    public Date getSecondTime() 
    {
        return secondTime;
    }
    public void setPrintNum(Integer printNum) 
    {
        this.printNum = printNum;
    }

    public Integer getPrintNum() 
    {
        return printNum;
    }
    public void setIsUploadCloud(String isUploadCloud) 
    {
        this.isUploadCloud = isUploadCloud;
    }

    public String getIsUploadCloud() 
    {
        return isUploadCloud;
    }
    public void setDataLog(String dataLog) 
    {
        this.dataLog = dataLog;
    }

    public String getDataLog() 
    {
        return dataLog;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("serialNo", getSerialNo())
            .append("plateNo", getPlateNo())
            .append("transportUnit", getTransportUnit())
            .append("forwardingUnit", getForwardingUnit())
            .append("consigneeUnit", getConsigneeUnit())
            .append("goodsName", getGoodsName())
            .append("goodsSpec", getGoodsSpec())
            .append("grossWeight", getGrossWeight())
            .append("tareWeight", getTareWeight())
            .append("netWeight", getNetWeight())
            .append("buckleWeight", getBuckleWeight())
            .append("actualWeight", getActualWeight())
            .append("weightUnit", getWeightUnit())
            .append("unitPrice", getUnitPrice())
            .append("sumAmt", getSumAmt())
            .append("weightType", getWeightType())
            .append("cardno", getCardno())
            .append("grossStation", getGrossStation())
            .append("tareStation", getTareStation())
            .append("grossMan", getGrossMan())
            .append("tareMan", getTareMan())
            .append("grossTime", getGrossTime())
            .append("tareTime", getTareTime())
            .append("firstTime", getFirstTime())
            .append("secondTime", getSecondTime())
            .append("updateTime", getUpdateTime())
            .append("printNum", getPrintNum())
            .append("isUploadCloud", getIsUploadCloud())
            .append("dataLog", getDataLog())
            .toString();
    }
}
